Copyright: distributable
Source: rhl-rg-en-%{version}.tbz
Release: 1
Name: rhl-rg-en
Group: Documentation
Version: 7.3
Summary: The Red Hat Linux %{version} Reference Guide in HTML format.
Obsoletes: rhl-rg
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The %{name} package contains the Red Hat Linux %{version} 
Reference Guide in HTML format. An online copy of the Red Hat
Linux %{version} Reference Guide is available from the Red Hat
Docs web page at http://www.redhat.com/docs/.

Install the %{name} package if you would like to use
an HTML version of the Reference Guide loaded on your own
machine.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Linux Reference Guide (en)
Comment=The manual for additional Red Hat Linux information (in English)
Exec=/usr/bin/netscape file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Official Red Hat Linux"
"/etc/X11/applnk/Documentation/Official Red Hat Linux/%{name}.desktop"
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Mon Apr 08 2002 Tammy Fox <tfox@redhat.com>
- Updated version

* Wed Sep 05 2001 Tammy Fox <tfox@redhat.com>
- Added version to name of source file

* Thu Aug 30 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.2

* Mon Aug 27 2001 Edward C. Bailey <ed@redhat.com>
- Freshen for next beta

* Thu Aug  9 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.1.94

* Thu Jul 26 2001 Edward C. Bailey <ed@redhat.com>
- Updated, and moved from gzipped tarball to bzip2

* Wed Mar 14 2001 Edward C. Bailey <ed@redhat.com>
- Final build

* Fri Mar 09 2001 Edward C. Bailey <ed@redhat.com>
- Build w/updated content

* Thu Mar 01 2001 Edward C. Bailey <ed@redhat.com>
- Another beta version

* Wed Feb 14 2001 Edward C. Bailey <ed@redhat.com>
- Second public beta version

* Tue Jan 16 2001 Edward C. Bailey <ed@redhat.com>
- Created Florence Beta version

* Mon Jul 31 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 25 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 18 2000 Edward C. Bailey <ed@redhat.com>
- Make build and doc dir references use macros, and redo menu structure

* Mon Jul 03 2000 Edward C. Bailey <ed@redhat.com>
- Update to 7.0, and get rid of wmconfig cruft

* Fri Feb 18 2000 Edward C. Bailey <ed@redhat.com>
- packaged for 6.2

* Wed Sep 15 1999 Edward C. Bailey <ed@redhat.com>
- packaged for 6.1

